/* nefsms.h: this header file was produced automatically by
 * the ./mktbls program, based on input from the file ./modetbl
 */
#ifndef NEFSMS_H
#define NEFSMS_H 1

extern FSM_BLIST fsm_backup_blist;

#if OPT_BACKUP_CHOICES
#ifndef realdef
extern const FSM_CHOICES fsm_backup_choices[];
#else
DECL_EXTERN_CONST(FSM_CHOICES fsm_backup_choices[]) = {
	{ ".bak",			bak_BAK },
	{ "off",			bak_OFF },
#if SYS_UNIX
	{ "tilde",			bak_TILDE },
#endif
#if VILE_SOMEDAY
	{ "tilde_n",			bak_TILDE_N },
	{ "tilde_n_existing",		bak_TILDE_N0 },
#endif
	END_CHOICES	/* ends table for name-completion */
};
FSM_BLIST fsm_backup_blist = {
	fsm_backup_choices,
	init_blist(fsm_backup_choices)
};
#endif
#endif /* OPT_backup_CHOICES */

extern FSM_BLIST fsm_bool_blist;

#if OPT_BOOL_CHOICES
#ifndef realdef
extern const FSM_CHOICES fsm_bool_choices[];
#else
DECL_EXTERN_CONST(FSM_CHOICES fsm_bool_choices[]) = {
	{ "false",			FALSE },
	{ "off",			FALSE },
	{ "on",				TRUE },
	{ "true",			TRUE },
	END_CHOICES	/* ends table for name-completion */
};
FSM_BLIST fsm_bool_blist = {
	fsm_bool_choices,
	init_blist(fsm_bool_choices)
};
#endif
#endif /* OPT_bool_CHOICES */

extern FSM_BLIST fsm_byteorder_mark_blist;

#if OPT_BYTEORDER_MARK_CHOICES
#ifndef realdef
extern const FSM_CHOICES fsm_byteorder_mark_choices[];
#else
DECL_EXTERN_CONST(FSM_CHOICES fsm_byteorder_mark_choices[]) = {
	{ "auto",			ENUM_UNKNOWN },
	{ "be-assumed",			bom_BE_ASSUMED },
	{ "le-assumed",			bom_LE_ASSUMED },
	{ "none",			bom_NONE },
	{ "utf-16be",			bom_UTF16BE },
	{ "utf-16le",			bom_UTF16LE },
	{ "utf-32be",			bom_UTF32BE },
	{ "utf-32le",			bom_UTF32LE },
	{ "utf-8",			bom_UTF8 },
	END_CHOICES	/* ends table for name-completion */
};
FSM_BLIST fsm_byteorder_mark_blist = {
	fsm_byteorder_mark_choices,
	init_blist(fsm_byteorder_mark_choices)
};
#endif
#endif /* OPT_byteorder_mark_CHOICES */

extern FSM_BLIST fsm_charclass_blist;

#if OPT_CHARCLASS_CHOICES
#ifndef realdef
extern const FSM_CHOICES fsm_charclass_choices[];
#else
DECL_EXTERN_CONST(FSM_CHOICES fsm_charclass_choices[]) = {
	{ "arg",			vl_LINESPEC },
	{ "ctl",			vl_CNTRL },
	{ "del",			vl_BSPACE },
	{ "fn",				vl_FENCE },
	{ "id",				vl_IDENT },
	{ "lwr",			vl_LOWER },
	{ "nsp",			vl_NONSPACE },
	{ "num",			vl_DIGIT },
	{ "path",			vl_PATHN },
	{ "prn",			vl_PRINT },
	{ "pun",			vl_PUNCT },
	{ "qid",			vl_QIDENT },
#if OPT_WIDE_CTYPES
	{ "sh",				vl_SHPIPE },
#endif
	{ "sp",				vl_SPACE },
#if OPT_WIDE_CTYPES
	{ "tmp",			vl_SCRTCH },
#endif
	{ "upr",			vl_UPPER },
	{ "wld",			vl_WILD },
	END_CHOICES	/* ends table for name-completion */
};
FSM_BLIST fsm_charclass_blist = {
	fsm_charclass_choices,
	init_blist(fsm_charclass_choices)
};
#endif
#endif /* OPT_charclass_CHOICES */

extern FSM_BLIST fsm_cmd_encoding_blist;

#if OPT_CMD_ENCODING_CHOICES
#ifndef realdef
extern const FSM_CHOICES fsm_cmd_encoding_choices[];
#else
DECL_EXTERN_CONST(FSM_CHOICES fsm_cmd_encoding_choices[]) = {
	{ "8bit",			enc_8BIT },
	{ "ascii",			enc_POSIX },
	{ "auto",			enc_AUTO },
	{ "utf-8",			enc_UTF8 },
	END_CHOICES	/* ends table for name-completion */
};
FSM_BLIST fsm_cmd_encoding_blist = {
	fsm_cmd_encoding_choices,
	init_blist(fsm_cmd_encoding_choices)
};
#endif
#endif /* OPT_cmd_encoding_CHOICES */

extern FSM_BLIST fsm_color_blist;

#if OPT_COLOR_CHOICES
#ifndef realdef
extern const FSM_CHOICES fsm_color_choices[];
#else
DECL_EXTERN_CONST(FSM_CHOICES fsm_color_choices[]) = {
	{ "black",			0 },
	{ "blue",			4 },
#if OPT_16_COLOR
	{ "brightblue",			12 },
	{ "brightcyan",			14 },
	{ "brightgreen",		10 },
	{ "brightmagenta",		13 },
	{ "brightred",			9 },
	{ "brown",			3 },
#endif
	{ "cyan",			6 },
	{ "default",			ENUM_UNKNOWN },
#if DISP_X11
	{ "fcolor",			ENUM_FCOLOR },
#endif
#if OPT_16_COLOR
	{ "gray",			8 },
#endif
	{ "green",			2 },
#if OPT_16_COLOR
	{ "lightgray",			7 },
#endif
	{ "magenta",			5 },
	{ "red",			1 },
#if !OPT_16_COLOR
	{ "white",			7 },
#endif
#if OPT_16_COLOR
	{ "white",			15 },
#endif
#if !OPT_16_COLOR
	{ "yellow",			3 },
#endif
#if OPT_16_COLOR
	{ "yellow",			11 },
#endif
	END_CHOICES	/* ends table for name-completion */
};
FSM_BLIST fsm_color_blist = {
	fsm_color_choices,
	init_blist(fsm_color_choices)
};
#endif
#endif /* OPT_color_CHOICES */

extern FSM_BLIST fsm_curtokens_blist;

#if OPT_CURTOKENS_CHOICES
#ifndef realdef
extern const FSM_CHOICES fsm_curtokens_choices[];
#else
DECL_EXTERN_CONST(FSM_CHOICES fsm_curtokens_choices[]) = {
	{ "both",			CT_BOTH },
	{ "cclass",			CT_CCLASS },
	{ "regex",			CT_REGEX },
	END_CHOICES	/* ends table for name-completion */
};
FSM_BLIST fsm_curtokens_blist = {
	fsm_curtokens_choices,
	init_blist(fsm_curtokens_choices)
};
#endif
#endif /* OPT_curtokens_CHOICES */

extern FSM_BLIST fsm_directive_blist;

#if OPT_DIRECTIVE_CHOICES
#ifndef realdef
extern const FSM_CHOICES fsm_directive_choices[];
#else
DECL_EXTERN_CONST(FSM_CHOICES fsm_directive_choices[]) = {
	{ "break",			D_BREAK },
	{ "else",			D_ELSE },
	{ "elseif",			D_ELSEIF },
	{ "elsewith",			D_ELSEWITH },
	{ "endif",			D_ENDIF },
	{ "endm",			D_ENDM },
	{ "endwhile",			D_ENDWHILE },
	{ "endwith",			D_ENDWITH },
	{ "force",			D_FORCE },
	{ "goto",			D_GOTO },
	{ "hidden",			D_HIDDEN },
	{ "if",				D_IF },
	{ "local",			D_LOCAL },
	{ "quiet",			D_QUIET },
	{ "return",			D_RETURN },
	{ "trace",			D_TRACE },
	{ "while",			D_WHILE },
	{ "with",			D_WITH },
	END_CHOICES	/* ends table for name-completion */
};
FSM_BLIST fsm_directive_blist = {
	fsm_directive_choices,
	init_blist(fsm_directive_choices)
};
#endif
#endif /* OPT_directive_CHOICES */

extern FSM_BLIST fsm_file_encoding_blist;

#if OPT_FILE_ENCODING_CHOICES
#ifndef realdef
extern const FSM_CHOICES fsm_file_encoding_choices[];
#else
DECL_EXTERN_CONST(FSM_CHOICES fsm_file_encoding_choices[]) = {
	{ "8bit",			enc_8BIT },
	{ "ascii",			enc_POSIX },
	{ "auto",			enc_AUTO },
	{ "locale",			enc_LOCALE },
	{ "utf-16",			enc_UTF16 },
	{ "utf-32",			enc_UTF32 },
	{ "utf-8",			enc_UTF8 },
	END_CHOICES	/* ends table for name-completion */
};
FSM_BLIST fsm_file_encoding_blist = {
	fsm_file_encoding_choices,
	init_blist(fsm_file_encoding_choices)
};
#endif
#endif /* OPT_file_encoding_CHOICES */

extern FSM_BLIST fsm_kbd_encoding_blist;

#if OPT_KBD_ENCODING_CHOICES
#ifndef realdef
extern const FSM_CHOICES fsm_kbd_encoding_choices[];
#else
DECL_EXTERN_CONST(FSM_CHOICES fsm_kbd_encoding_choices[]) = {
	{ "8bit",			enc_8BIT },
	{ "ascii",			enc_POSIX },
	{ "auto",			enc_AUTO },
	{ "locale",			enc_LOCALE },
	{ "utf-8",			enc_UTF8 },
	END_CHOICES	/* ends table for name-completion */
};
FSM_BLIST fsm_kbd_encoding_blist = {
	fsm_kbd_encoding_choices,
	init_blist(fsm_kbd_encoding_choices)
};
#endif
#endif /* OPT_kbd_encoding_CHOICES */

extern FSM_BLIST fsm_forbuffers_blist;

#if OPT_FORBUFFERS_CHOICES
#ifndef realdef
extern const FSM_CHOICES fsm_forbuffers_choices[];
#else
DECL_EXTERN_CONST(FSM_CHOICES fsm_forbuffers_choices[]) = {
	{ "glob",			FB_GLOB },
	{ "mixed",			FB_MIXED },
	{ "regex",			FB_REGEX },
	END_CHOICES	/* ends table for name-completion */
};
FSM_BLIST fsm_forbuffers_blist = {
	fsm_forbuffers_choices,
	init_blist(fsm_forbuffers_choices)
};
#endif
#endif /* OPT_forbuffers_CHOICES */

extern FSM_BLIST fsm_hilite_blist;

#if OPT_HILITE_CHOICES
#ifndef realdef
extern const FSM_CHOICES fsm_hilite_choices[];
#else
DECL_EXTERN_CONST(FSM_CHOICES fsm_hilite_choices[]) = {
#if OPT_COLOR
	{ "black",			VACOL_0 },
	{ "blue",			VACOL_4 },
#endif
	{ "bold",			VABOLD },
#if OPT_COLOR&&OPT_16_COLOR
	{ "brightblue",			VACOL_C },
	{ "brightcyan",			VACOL_E },
	{ "brightgreen",		VACOL_A },
	{ "brightmagenta",		VACOL_D },
	{ "brightred",			VACOL_9 },
	{ "brown",			VACOL_3 },
#endif
	{ "color",			VACOLOR },
#if OPT_COLOR
	{ "cyan",			VACOL_6 },
#endif
#if OPT_COLOR&&OPT_16_COLOR
	{ "gray",			VACOL_8 },
#endif
#if OPT_COLOR
	{ "green",			VACOL_2 },
#endif
	{ "italic",			VAITAL },
#if OPT_COLOR&&OPT_16_COLOR
	{ "lightgray",			VACOL_7 },
#endif
#if OPT_COLOR
	{ "magenta",			VACOL_5 },
#endif
	{ "none",			0 },
#if OPT_COLOR
	{ "red",			VACOL_1 },
#endif
	{ "reverse",			VAREV },
	{ "underline",			VAUL },
#if OPT_COLOR&&!OPT_16_COLOR
	{ "white",			VACOL_7 },
#endif
#if OPT_COLOR&&OPT_16_COLOR
	{ "white",			VACOL_F },
#endif
#if OPT_COLOR&&!OPT_16_COLOR
	{ "yellow",			VACOL_3 },
#endif
#if OPT_COLOR&&OPT_16_COLOR
	{ "yellow",			VACOL_B },
#endif
	END_CHOICES	/* ends table for name-completion */
};
FSM_BLIST fsm_hilite_blist = {
	fsm_hilite_choices,
	init_blist(fsm_hilite_choices)
};
#endif
#endif /* OPT_hilite_CHOICES */

extern FSM_BLIST fsm_access_blist;

#if OPT_ACCESS_CHOICES
#ifndef realdef
extern const FSM_CHOICES fsm_access_choices[];
#else
DECL_EXTERN_CONST(FSM_CHOICES fsm_access_choices[]) = {
	{ "always",			FL_ALWAYS },
	{ "bin",			FL_EXECDIR },
	{ "current",			FL_CDIR },
	{ "home",			FL_HOME },
	{ "libdir",			FL_LIBDIR },
	{ "none",			0 },
	{ "path",			FL_PATH },
	{ "startup",			FL_STARTPATH },
	END_CHOICES	/* ends table for name-completion */
};
FSM_BLIST fsm_access_blist = {
	fsm_access_choices,
	init_blist(fsm_access_choices)
};
#endif
#endif /* OPT_access_CHOICES */

extern FSM_BLIST fsm_keep_pos_blist;

#if OPT_KEEP_POS_CHOICES
#ifndef realdef
extern const FSM_CHOICES fsm_keep_pos_choices[];
#else
DECL_EXTERN_CONST(FSM_CHOICES fsm_keep_pos_choices[]) = {
	{ "emacs",			KPOS_VILE },
	{ "nvi",			KPOS_NVI },
	{ "vi",				KPOS_VI },
	END_CHOICES	/* ends table for name-completion */
};
FSM_BLIST fsm_keep_pos_blist = {
	fsm_keep_pos_choices,
	init_blist(fsm_keep_pos_choices)
};
#endif
#endif /* OPT_keep_pos_CHOICES */

extern FSM_BLIST fsm_lookup_blist;

#if OPT_LOOKUP_CHOICES
#ifndef realdef
extern const FSM_CHOICES fsm_lookup_choices[];
#else
DECL_EXTERN_CONST(FSM_CHOICES fsm_lookup_choices[]) = {
	{ "bin",			FL_EXECDIR },
	{ "current",			FL_CDIR },
	{ "execable",			FL_EXECABLE },
	{ "home",			FL_HOME },
	{ "insecure",			FL_INSECURE },
	{ "libdir",			FL_LIBDIR },
	{ "path",			FL_PATH },
	{ "readable",			FL_READABLE },
	{ "startup",			FL_STARTPATH },
	{ "writable",			FL_WRITEABLE },
	END_CHOICES	/* ends table for name-completion */
};
FSM_BLIST fsm_lookup_blist = {
	fsm_lookup_choices,
	init_blist(fsm_lookup_choices)
};
#endif
#endif /* OPT_lookup_CHOICES */

extern FSM_BLIST fsm_mmqualifiers_blist;

#if OPT_MMQUALIFIERS_CHOICES
#ifndef realdef
extern const FSM_CHOICES fsm_mmqualifiers_choices[];
#else
DECL_EXTERN_CONST(FSM_CHOICES fsm_mmqualifiers_choices[]) = {
	{ "all",			MMQ_ALL },
	{ "any",			MMQ_ANY },
	END_CHOICES	/* ends table for name-completion */
};
FSM_BLIST fsm_mmqualifiers_blist = {
	fsm_mmqualifiers_choices,
	init_blist(fsm_mmqualifiers_choices)
};
#endif
#endif /* OPT_mmqualifiers_CHOICES */

extern FSM_BLIST fsm_paramtypes_blist;

#if OPT_PARAMTYPES_CHOICES
#ifndef realdef
extern const FSM_CHOICES fsm_paramtypes_choices[];
#else
DECL_EXTERN_CONST(FSM_CHOICES fsm_paramtypes_choices[]) = {
	{ "bool",			PT_BOOL },
	{ "buffer",			PT_BUFFER },
	{ "directory",			PT_DIR },
	{ "enum",			PT_ENUM },
	{ "file",			PT_FILE },
	{ "integer",			PT_INT },
#if OPT_MAJORMODE
	{ "majormode",			PT_MAJORMODE },
#endif
	{ "mode",			PT_MODE },
	{ "register",			PT_REG },
	{ "string",			PT_STR },
	{ "variable",			PT_VAR },
	END_CHOICES	/* ends table for name-completion */
};
FSM_BLIST fsm_paramtypes_blist = {
	fsm_paramtypes_choices,
	init_blist(fsm_paramtypes_choices)
};
#endif
#endif /* OPT_paramtypes_CHOICES */

extern FSM_BLIST fsm_path_blist;

#if OPT_PATH_CHOICES
#ifndef realdef
extern const FSM_CHOICES fsm_path_choices[];
#else
DECL_EXTERN_CONST(FSM_CHOICES fsm_path_choices[]) = {
	{ "end",			PATH_END },
	{ "full",			PATH_FULL },
	{ "head",			PATH_HEAD },
	{ "root",			PATH_ROOT },
	{ "short",			PATH_SHORT },
	{ "tail",			PATH_TAIL },
	END_CHOICES	/* ends table for name-completion */
};
FSM_BLIST fsm_path_blist = {
	fsm_path_choices,
	init_blist(fsm_path_choices)
};
#endif
#endif /* OPT_path_CHOICES */

extern FSM_BLIST fsm_popup_blist;

#if OPT_POPUP_CHOICES
#ifndef realdef
extern const FSM_CHOICES fsm_popup_choices[];
#else
DECL_EXTERN_CONST(FSM_CHOICES fsm_popup_choices[]) = {
	{ "delayed",			POPUP_CHOICES_DELAYED },
	{ "immediate",			POPUP_CHOICES_IMMED },
	{ "off",			POPUP_CHOICES_OFF },
	END_CHOICES	/* ends table for name-completion */
};
FSM_BLIST fsm_popup_blist = {
	fsm_popup_choices,
	init_blist(fsm_popup_choices)
};
#endif
#endif /* OPT_popup_CHOICES */

extern FSM_BLIST fsm_readerpolicy_blist;

#if OPT_READERPOLICY_CHOICES
#ifndef realdef
extern const FSM_CHOICES fsm_readerpolicy_choices[];
#else
DECL_EXTERN_CONST(FSM_CHOICES fsm_readerpolicy_choices[]) = {
	{ "both",			RP_BOTH },
	{ "quick",			RP_QUICK },
	{ "slow",			RP_SLOW },
	END_CHOICES	/* ends table for name-completion */
};
FSM_BLIST fsm_readerpolicy_blist = {
	fsm_readerpolicy_choices,
	init_blist(fsm_readerpolicy_choices)
};
#endif
#endif /* OPT_readerpolicy_CHOICES */

extern FSM_BLIST fsm_recordformat_blist;

#if OPT_RECORDFORMAT_CHOICES
#ifndef realdef
extern const FSM_CHOICES fsm_recordformat_choices[];
#else
DECL_EXTERN_CONST(FSM_CHOICES fsm_recordformat_choices[]) = {
	{ "fix",			FAB$C_FIX },
	{ "stm",			FAB$C_STM },
	{ "stmcr",			FAB$C_STMCR },
	{ "stmlf",			FAB$C_STMLF },
	{ "udf",			FAB$C_UDF },
	{ "var",			FAB$C_VAR },
	{ "vfc",			FAB$C_VFC },
	END_CHOICES	/* ends table for name-completion */
};
FSM_BLIST fsm_recordformat_blist = {
	fsm_recordformat_choices,
	init_blist(fsm_recordformat_choices)
};
#endif
#endif /* OPT_recordformat_CHOICES */

extern FSM_BLIST fsm_recordattrs_blist;

#if OPT_RECORDATTRS_CHOICES
#ifndef realdef
extern const FSM_CHOICES fsm_recordattrs_choices[];
#else
DECL_EXTERN_CONST(FSM_CHOICES fsm_recordattrs_choices[]) = {
	{ "blk",			RECORD_ATTRS(0,0,0,1) },
	{ "cr",				RECORD_ATTRS(0,1,0,0) },
	{ "cr,blk",			RECORD_ATTRS(0,1,0,1) },
	{ "cr,prn",			RECORD_ATTRS(0,1,1,0) },
	{ "cr,prn,blk",			RECORD_ATTRS(0,1,1,1) },
	{ "ftn",			RECORD_ATTRS(1,0,0,0) },
	{ "ftn,blk",			RECORD_ATTRS(1,0,0,1) },
	{ "ftn,cr",			RECORD_ATTRS(1,1,0,0) },
	{ "ftn,cr,blk",			RECORD_ATTRS(1,1,0,1) },
	{ "ftn,cr,prn",			RECORD_ATTRS(1,1,1,0) },
	{ "ftn,cr,prn,blk",		RECORD_ATTRS(1,1,1,1) },
	{ "ftn,prn",			RECORD_ATTRS(1,0,1,0) },
	{ "ftn,prn,blk",		RECORD_ATTRS(1,0,1,1) },
	{ "none",			RECORD_ATTRS(0,0,0,0) },
	{ "prn",			RECORD_ATTRS(0,0,1,0) },
	{ "prn,blk",			RECORD_ATTRS(0,0,1,1) },
	END_CHOICES	/* ends table for name-completion */
};
FSM_BLIST fsm_recordattrs_blist = {
	fsm_recordattrs_choices,
	init_blist(fsm_recordattrs_choices)
};
#endif
#endif /* OPT_recordattrs_CHOICES */

extern FSM_BLIST fsm_recordsep_blist;

#if OPT_RECORDSEP_CHOICES
#ifndef realdef
extern const FSM_CHOICES fsm_recordsep_choices[];
#else
DECL_EXTERN_CONST(FSM_CHOICES fsm_recordsep_choices[]) = {
	{ "auto",			RS_AUTO },
	{ "cr",				RS_CR },
	{ "crlf",			RS_CRLF },
	{ "default",			RS_DEFAULT },
	{ "lf",				RS_LF },
	END_CHOICES	/* ends table for name-completion */
};
FSM_BLIST fsm_recordsep_blist = {
	fsm_recordsep_choices,
	init_blist(fsm_recordsep_choices)
};
#endif
#endif /* OPT_recordsep_CHOICES */

extern FSM_BLIST fsm_showformat_blist;

#if OPT_SHOWFORMAT_CHOICES
#ifndef realdef
extern const FSM_CHOICES fsm_showformat_choices[];
#else
DECL_EXTERN_CONST(FSM_CHOICES fsm_showformat_choices[]) = {
	{ "always",			SF_ALWAYS },
	{ "differs",			SF_DIFFERS },
	{ "foreign",			SF_FOREIGN },
	{ "local",			SF_LOCAL },
	{ "never",			SF_NEVER },
	END_CHOICES	/* ends table for name-completion */
};
FSM_BLIST fsm_showformat_blist = {
	fsm_showformat_choices,
	init_blist(fsm_showformat_choices)
};
#endif
#endif /* OPT_showformat_CHOICES */

extern FSM_BLIST fsm_title_encoding_blist;

#if OPT_TITLE_ENCODING_CHOICES
#ifndef realdef
extern const FSM_CHOICES fsm_title_encoding_choices[];
#else
DECL_EXTERN_CONST(FSM_CHOICES fsm_title_encoding_choices[]) = {
	{ "8bit",			enc_8BIT },
	{ "locale",			enc_LOCALE },
	{ "utf-8",			enc_UTF8 },
	END_CHOICES	/* ends table for name-completion */
};
FSM_BLIST fsm_title_encoding_blist = {
	fsm_title_encoding_choices,
	init_blist(fsm_title_encoding_choices)
};
#endif
#endif /* OPT_title_encoding_CHOICES */

extern FSM_BLIST fsm_xcolors_blist;

#if OPT_XCOLORS_CHOICES
#ifndef realdef
extern const FSM_CHOICES fsm_xcolors_choices[];
#else
DECL_EXTERN_CONST(FSM_CHOICES fsm_xcolors_choices[]) = {
	{ "enum",			XCOLOR_ENUM },
	{ "hypertext",			XCOLOR_HYPERTEXT },
	{ "isearch",			XCOLOR_ISEARCH },
	{ "linebreak",			XCOLOR_LINEBREAK },
	{ "linenumber",			XCOLOR_LINENUMBER },
	{ "modeline",			XCOLOR_MODELINE },
	{ "number",			XCOLOR_NUMBER },
	{ "regex",			XCOLOR_REGEX },
	{ "string",			XCOLOR_STRING },
	{ "warning",			XCOLOR_WARNING },
	END_CHOICES	/* ends table for name-completion */
};
FSM_BLIST fsm_xcolors_blist = {
	fsm_xcolors_choices,
	init_blist(fsm_xcolors_choices)
};
#endif
#endif /* OPT_xcolors_CHOICES */

extern FSM_BLIST fsm_videoattrs_blist;

#if OPT_VIDEOATTRS_CHOICES
#ifndef realdef
extern const FSM_CHOICES fsm_videoattrs_choices[];
#else
DECL_EXTERN_CONST(FSM_CHOICES fsm_videoattrs_choices[]) = {
	{ "bold",			VABOLD },
	{ "italic",			VAITAL },
	{ "none",			0 },
	{ "reverse",			VAREV },
	{ "underline",			VAUL },
	END_CHOICES	/* ends table for name-completion */
};
FSM_BLIST fsm_videoattrs_blist = {
	fsm_videoattrs_choices,
	init_blist(fsm_videoattrs_choices)
};
#endif
#endif /* OPT_videoattrs_CHOICES */

extern FSM_BLIST fsm_vtflashseq_blist;

#if OPT_VTFLASHSEQ_CHOICES
#ifndef realdef
extern const FSM_CHOICES fsm_vtflashseq_choices[];
#else
DECL_EXTERN_CONST(FSM_CHOICES fsm_vtflashseq_choices[]) = {
	{ "normal",			VTFLASH_NORMAL },
	{ "off",			VTFLASH_OFF },
	{ "reverse",			VTFLASH_REVERSE },
	END_CHOICES	/* ends table for name-completion */
};
FSM_BLIST fsm_vtflashseq_blist = {
	fsm_vtflashseq_choices,
	init_blist(fsm_vtflashseq_choices)
};
#endif
#endif /* OPT_vtflashseq_CHOICES */

#endif /* NEFSMS_H */
